### Name: msc.baseline.subtract
### Title: Baseline Subtraction for Mass Spectra Data
### Aliases: msc.baseline.subtract
### Keywords: ts

### ** Examples

  # load "Data_IMAC.Rdata" file containing raw MS spectra 'X'  
  if (!file.exists("Data_IMAC.Rdata")) example("msc.project.read")
  load("Data_IMAC.Rdata")
  
  # run msc.baseline.subtract using 3D input
  # this data had baseline removed already so little change is expected
  Y = msc.baseline.subtract(X)
  avr = mean(abs(X-Y))
  cat("Data Size: ", dim(X), " average change :", avr, "\n")
  stopifnot(avr<0.3)

  # test on data provided in PROcess package (2D input)
  # this is "raw" data, so large changes are expected
  directory  = system.file("Test", package = "PROcess")
  X = msc.rawMS.read.csv(directory) 
  Y = msc.baseline.subtract(X, plot=TRUE)
  avr = mean(abs(X-Y))
  cat("Data Size: ", dim(X), " average change :", avr, "\n")
  stopifnot(avr>7.5)



