### Name: msc.features.remove
### Title: Remove Highly Correlated Features
### Aliases: msc.features.remove
### Keywords: ts classif

### ** Examples

  # load "Data_IMAC.Rdata" file containing raw MS spectra 'X'  
  if (!file.exists("Data_IMAC.Rdata")) example("msc.project.read")
  load("Data_IMAC.Rdata")
  
  X = t(X[,,1])
  auc = colAUC(X,SampleLabels)
  quantile(auc)
  cidx = msc.features.remove(X, auc, verbose=TRUE)
  Y = X[,cidx]
  stopifnot( dim(Y)==c(20, 3516) )
  stopifnot( abs(mean(auc)-0.64)<0.01 )



