### Name: msc.features.scale
### Title: Scale Classification Data
### Aliases: msc.features.scale
### Keywords: classif

### ** Examples

  library(e1071)
  data(iris)
  mask   = sample.split(iris[,5], SplitRatio=1/4) # very few points to train
  xtrain = iris[ mask,-5]  # use output of sample.split to ...
  xtest  = iris[!mask,-5]  # create train and test subsets
  ytrain = iris[ mask, 5] 
  ytest  = iris[!mask, 5] 
  x = msc.features.scale(xtrain, xtest)  
  model = svm(x$xtrain, ytrain, scale=FALSE)
  print(a <- table(predict(model, x$xtest), ytest) )
  model = svm(xtrain, ytrain, scale=FALSE)
  print(b <- table(predict(model, xtest), ytest) )
  stopifnot( sum(diag(a))<sum(diag(b)) )



