### Name: msc.features.select
### Title: Reduce Number of Features Prior to Classification
### Aliases: msc.features.select
### Keywords: classif

### ** Examples

  # load "Data_IMAC.Rdata" file containing raw MS spectra 'X'  
  if (!file.exists("Data_IMAC.Rdata")) example("msc.project.read")
  load("Data_IMAC.Rdata")
  X = t(X[,,1])
  
  cidx = msc.features.select(X, SampleLabels, KeepCol=0.8)
  auc  = colAUC(X[,cidx], SampleLabels)
  cat(length(cidx),"features were selected out of",ncol(X),
      "; min(auc)=",min(auc),"; mean(auc)=",mean(auc),"\n")
  stopifnot( length(cidx)==612, min(auc)>0.8 )
  
  cidx = msc.features.select(X, SampleLabels, KeepCol=400)
  auc  = colAUC(X[,cidx], SampleLabels)
  cat(length(cidx),"features were selected out of",ncol(X),
      "; min(auc)=",min(auc),"; mean(auc)=",mean(auc),"\n")
  stopifnot( length(cidx)==400, min(auc)>0.8 )



