### Name: msc.peaks.read.mzXML & msc.peaks.write.mzXML
### Title: Read / write calculated peaks heights and positions to/from
###   mzXML Files
### Aliases: msc.peaks.read.mzXML msc.peaks.write.mzXML
### Keywords: file

### ** Examples

  # load "Data_IMAC.Rdata" file containing raw MS spectra 'X'  
  directory  = system.file("Test", package = "caMassClass")
  X = msc.rawMS.read.csv(directory, "IMAC_.*csv", mzXML.record=TRUE) 

  # Find Peaks and save them
  Peaks = msc.peaks.find(X) # create peak data
  msc.peaks.write.mzXML(Peaks, "peaks.mzXML", mzXML=attr(X,"mzXML"), 
                        precision='64')
  Output = msc.peaks.read.mzXML("peaks.mzXML")
  stopifnot(Output$Substance.Mass == Peaks$Substance.Mass,
            Output$Intensity      == Peaks$Intensity, 
            Output$Spectrum.      == Peaks$Spectrum., 
            Output$Peak.          == Peaks$Peak.)
  mzXML = attr(Output,"mzXML")
  strsplit(mzXML$parentFile, '\n')      # show mzXML$parentFile record
  # Suggestion: inspect 'peaks.mzXML' using any text editor          
  file.remove("peaks.mzXML")



