### Name: msc.peaks.align
### Title: Align Peaks of Mass Spectra into a "Biomarker" Matrix
### Aliases: msc.peaks.align msc.peaks.alignment
### Keywords: ts

### ** Examples

  # load "Data_IMAC.Rdata" file containing raw MS spectra 'X'  
  if (!file.exists("Data_IMAC.Rdata")) example("msc.project.read")
  load("Data_IMAC.Rdata")

  # Find and Align peaks
  Peaks = msc.peaks.find(X)
  cat(nrow(Peaks), "peaks were found in", Peaks[nrow(Peaks),2], "files.\n")
  Y = msc.peaks.align(Peaks)
  print( t(Y$Bmrks) , na.print=".",  digits=2)
  stopifnot( dim(Y$Bmrks)==c(22, 40) )



