### Name: msc.peaks.find
### Title: Find Peaks of Mass Spectra
### Aliases: msc.peaks.find
### Keywords: ts

### ** Examples

  # load "Data_IMAC.Rdata" file containing raw MS spectra 'X'  
  if (!file.exists("Data_IMAC.Rdata")) example("msc.project.read")
  load("Data_IMAC.Rdata")
  Peaks = msc.peaks.find(X) # Find Peaks
  cat(nrow(Peaks), "peaks were found in", Peaks[nrow(Peaks),2], "files.\n")
  stopifnot( nrow(Peaks)==823 )
  
  # work directly with data from the input files
  directory  = system.file("Test", package = "caMassClass")
  X = msc.rawMS.read.csv(directory, "IMAC_normal_.*csv")
  Peaks = msc.peaks.find(X) # Find Peaks
  cat(nrow(Peaks), "peaks were found in", Peaks[nrow(Peaks),2], "files.\n")
  stopifnot( nrow(Peaks)==424 )



