### Name: msc.preprocess.run
### Title: Preprocessing Pipeline of Protein Mass Spectra
### Aliases: msc.preprocess.run
### Keywords: ts

### ** Examples

  # load "Data_IMAC.Rdata" file containing raw MS spectra 'X'  
  if (!file.exists("Data_IMAC.Rdata")) example("msc.project.read")
  load("Data_IMAC.Rdata") # load data: X & mzXML
  
  # run preprocess with peak extraction
  Y = msc.preprocess.run(X, mzXML=mzXML, peak.extraction=1, 
    PeakFile="peaks_IMAC.mzXML", BmrkFile="bmrk_IMAC.csv")
  cat("Size before: ", dim(X), " and after :", dim(Y), "\n")
  stopifnot( dim(Y)==c(25, 40) )        # make sure it is what's expected
  YmzXML = attr(Y, "mzXML")
  strsplit(YmzXML$dataProcessing, '\n') # show mzXML$dataProcessing record
  # inspect by hand output files: "peaks_IMAC.mzXML" & "bmrk_IMAC.csv"
  
  # run preprocess with no peak extraction
  Y = msc.preprocess.run(X, mzXML=mzXML)
  cat("Size before: ", dim(X), " and after :", dim(Y), "\n")
  stopifnot( dim(Y)==c(9377, 40) )      # make sure it is what's expected
  YmzXML = attr(Y, "mzXML")
  strsplit(YmzXML$dataProcessing, '\n') # show mzXML$dataProcessing record



