### Name: msc.project.read
### Title: Read and Manage a Batch of Protein Mass Spectra
### Aliases: msc.project.read
### Keywords: ts file

### ** Examples

  #================================================
  # test reading project file with only CVS files
  #================================================
  # find name of example project file
  directory = system.file("Test", package = "caMassClass") # input directory 
  ProjectFile = file.path(directory,"InputFiles.csv")      # full name 
  # read $ save the project data 
  FileName1 = msc.project.read(ProjectFile, '.')
  cat("File ",FileName1," was created\n")
  # load and inspect the project data 
  load(FileName1)
  stopifnot( dim(X)==c(11883,20,2) )    # make sure it is what's expected
  strsplit(mzXML$parentFile, '\n')      # show mzXML$parentFile record
  X1 = X                                # make a copy of X for future use
  
  #================================================
  # test reading project file with mzXML files
  #================================================
  # save X in mzXML format
  msc.rawMS.write.mzXML(X, "rawMS32.mzXML",  precision="32") # save X as mzXML
  # create new project table
  ProjectTable = c(colnames(X), SampleLabels, paste("rawMS32.mzXML", 1:40, sep='/'))
  dim(ProjectTable) = c(20,4)
  colnames(ProjectTable) = c("SampleName", "Class", "Temp1", "Temp2")
  print(ProjectTable)
  # read $ save the project data 
  FileName2 = msc.project.read(ProjectTable, '.')
  cat("File ",FileName2," was created\n")
  # compare results
  load(FileName2) # load data: X & SampleLabels
  stopifnot(max(abs(X-X1))<1e-5)
  file.remove(FileName2) # delete temporary files 



