### Name: msc.rawMS.read.csv
### Title: Read Protein Mass Spectra from CSV files
### Aliases: msc.rawMS.read.csv
### Keywords: ts file

### ** Examples

  # example of mode "single string" FileList
  directory  = system.file("Test", package = "caMassClass")
  X = msc.rawMS.read.csv(directory, "IMAC_normal_.*csv")
  stopifnot ( dim(X) == c(11883, 20) ) # make sure it is what's expected
  
  # example of explicit 1D FileList
  ProjectFile = file.path(directory,"InputFiles.csv")
  FileList = read.csv(file=ProjectFile, comment.char = "")
  FileList[,3]
  X = msc.rawMS.read.csv(directory, FileList=FileList[,3], mzXML.record=TRUE)
  stopifnot ( dim(X) == c(11883, 20) ) # make sure it is what's expected
  mzXML = attr(X,"mzXML")
  strsplit(mzXML$parentFile, '\n')      # show mzXML$parentFile record
  
  # example using data provided in PROcess package 
  directory  = system.file("Test", package = "PROcess")
  X = msc.rawMS.read.csv(directory) 
  msc.baseline.subtract(X, plot=TRUE) # used here to plot results
  dim(X)



