### Name: msc.rawMS.read.mzXML & msc.rawMS.write.mzXML
### Title: Read / write raw Mass Spectra to/from mzXML Files
### Aliases: msc.rawMS.read.mzXML msc.rawMS.write.mzXML
### Keywords: file

### ** Examples

  # load "Data_IMAC.Rdata" file containing raw MS spectra 'X'  
  if (!file.exists("Data_IMAC.Rdata")) example("msc.project.read")
  load("Data_IMAC.Rdata")
  
  # save raw MS data as mzXML using 32-bit precision
  msc.rawMS.write.mzXML(X, "rawMS32.mzXML",  precision="32")
  Y = msc.rawMS.read.mzXML("rawMS32.mzXML")
  dim(Y) = c(nrow(Y), ncol(Y)/2, 2)
  stopifnot(all.equal(X,Y, tolerance=1e-5, check.attributes = FALSE)) # about the same
  
  # save raw MS data as mzXML using 64-bit precision
  msc.rawMS.write.mzXML(X, "rawMS64.mzXML",  precision="64")
  Y = msc.rawMS.read.mzXML("rawMS64.mzXML")
  dim(Y) = c(nrow(Y), ncol(Y)/2, 2)
  stopifnot(X==Y)                           # exactly the same
  
  # Suggestion: inspect 'rawMS32.mzXML' and 'rawMS64.mzXML' using a text editor
  file.remove("rawMS32.mzXML") # delete temporary files 
  file.remove("rawMS64.mzXML") 



